# Method: projects.locations.corpora.indexes.create

- [HTTP request](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1/projects.locations.corpora.indexes/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1/projects.locations.corpora.indexes/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1/projects.locations.corpora.indexes/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1/projects.locations.corpora.indexes/create#body.request_body)
- [Response body](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1/projects.locations.corpora.indexes/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1/projects.locations.corpora.indexes/create#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1/projects.locations.corpora.indexes/create#body.aspect_1)

Creates an Index under the corpus.

### HTTP request

`POST https://visionai.googleapis.com/v1/{parent=projects/*/locations/*/corpora/*}/indexes`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Value for the parent. The resource name of the Corpus under which this index is created. Format: `projects/{project_number}/locations/{locationId}/corpora/{corpus_id}` |

### Query parameters

| Parameters ||
|---|---|
| `indexId` | `string` Optional. The ID for the index. This will become the final resource name for the index. If the user does not specify this value, it will be generated by system. This value should be up to 63 characters, and valid characters are /\[a-z\]\[0-9\]-/. The first character must be a letter, the last could be a letter or a number. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1/projects.locations.corpora.indexes#Index`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/vision-ai/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `visionai.indexes.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).